#ifndef TMHistogrammingClusterWidthZ_H
#define TMHistogrammingClusterWidthZ_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingClusterWidthZ : public TMHistogramming {
 public:
  TMHistogrammingClusterWidthZ();
  virtual ~TMHistogrammingClusterWidthZ();

  virtual void ProcessClusters(HenrikClusterFinderSPD* clFinder);
	       
  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:

  TH1F   *fHistTotal;
  TH1F   *fHistInner;
  TH1F   *fHistOuter;

};

#endif
